Subject: Re: bug#22619: postgresql-service error checking wtf

From: Glenn Morris <[email-masked]>
Date: Wed, 10 Feb 2016 18:12:07 -0500

Danny Milosavljevic wrote:

> Package: postgresql

There's no postgresql package on debbugs.gnu.org, so your report
went to the help-debbugs mailing list.

>From the rest of your report, I'm guessing this should have been
assigned to guix, so I did that.

> When I first configure operating-system with postgresql-service with
> default config file, then run
>
> guix system reconfigure config.scm,
>
> then configure operating-system with postgresql-service with custom
> config file, then run
>
> guix system reconfigure config.scm,
>
> I get:
>
> ---
> initdb: directory "/var/lib/postgresql/data" exists but is not empty
> If you want to create a new database system, either remove or empty
> the directory "/var/lib/postgresql/data" or run initdb
> with an argument other than "/var/lib/postgresql/data".
> making '/gnu/store/byn534fg4agm0vv9szl5kkfl19n080b2-system' the
> current system...
> Installation finished. No error reported.
> ----
>
> Postgresql doesn't run and the error message still references the
> default config file.